Loading...
Searching...
No Matches
GridBuilder< ValueT, BuildT, StatsT >::ValueAccessor Struct Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions

| ValueAccessor (SrcRootT &root)
template<typename NodeT>
bool | isCached (const Coord &ijk) const
const ValueT & | getValue (const Coord &ijk)
SrcNode0 * | setValue (const Coord &ijk, const ValueT &value)
| Sets value in a leaf node and returns it.
bool | isActive (const Coord &ijk)
bool | isValueOn (const Coord &ijk)
template<typename NodeT>
void | insert (const Coord &ijk, NodeT *node)

## Public Attributes

Coord | mKeys [3]
void * | mNode [4]

## Constructor & Destructor Documentation

## ValueAccessor()

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>

ValueAccessor | ( | SrcRootT & | root | ) |

inline

## Member Function Documentation

## getValue()

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>

const ValueT & getValue | ( | const Coord & | ijk | ) |

inline

## insert()

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>
template<typename NodeT>

void insert | ( | const Coord & | ijk,
|  | NodeT * | node )

inline

## isActive()

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>

bool isActive | ( | const Coord & | ijk | ) |

inline

## isCached()

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>
template<typename NodeT>

bool isCached | ( | const Coord & | ijk | ) | const

inline

## isValueOn()

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>

bool isValueOn | ( | const Coord & | ijk | ) |

inline

## setValue()

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>

SrcNode0 * setValue | ( | const Coord & | ijk,
|  | const ValueT & | value )

inline

Sets value in a leaf node and returns it.

## Member Data Documentation

## mKeys

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>

Coord mKeys[3]

## mNode

template<typename ValueT, typename BuildT = ValueT, typename StatsT = Stats<ValueT>>

void* mNode[4]